﻿@model IEnumerable<ECommerce.Models.Company>

@{
    ViewBag.Title = "Compañias";
}

<h2>Compañias</h2>

<p>
    @Html.ActionLink("Crear nueva", "Create", new { }, new { @class = "btn btn-primary" })
</p>
<table class="table">
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.City.Name)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Department.Name)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Name)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Phone)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Address)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Logo)
        </th>
        <th></th>
    </tr>

    @foreach (var item in Model)
    {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.City.Name)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Department.Name)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Name)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Phone)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Address)
            </td>
            <td>
                @if (!string.IsNullOrEmpty(item.Logo))
                {
                    <img src="@Url.Content(item.Logo)" alt="Image" style="width:100px;height:150px;max-width: 100%; height: auto;" />
                }
            </td>
            <td>
                @Html.ActionLink("Edit", "Edit", new { id = item.CompanyId }, new { @class = "btn btn-warning" })
                @Html.ActionLink("Details", "Details", new { id = item.CompanyId }, new { @class = "btn btn-danger" })
                @Html.ActionLink("Delete", "Delete", new { id = item.CompanyId }, new { @class = "btn btn-info" })
            </td>
        </tr>
    }

</table>
